#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let path = yield api.connect('path')
  {
    let resolved = yield path.resolve('foo/bar', '../baz')
    console.log(resolved) // => foo/bar/baz
  }
  /* ... */
})

